# Retrieve the breakdown of a payout Returns the items that make up the payout. The item amounts sum to the payout total amount. Endpoint: GET /payouts/{payoutId}/items Version: 1.0.0 Security: Biller Access Token (Production), Biller Access Token (Staging) ## Path parameters: - `payoutId` (string, required) The id of the payout ## Query parameters: - `page` (integer) Which page to return, counting from one. Example: 1 - `size` (integer) How many items to return per page. A request for more than the maximum is refused. Example: 50 - `sort` (string) How to order the page. Enum: "creationTime,desc", "creationTime,asc" ## Response 200 fields (application/json): - `items` (array, required) The items that make up the payout - `items.id` (string, required) The id of the item - `items.type` (string, required) The type of the item Enum: "PAYMENT", "PAYOUT" - `items.status` (string, required) The status of the item Enum: "SUCCESS", "FAILURE" - `items.amount` (number, required) The amount of the item - `items.currencyCode` (string, required) The currency of the item Enum: "AED", "AFN", "ALL", "AMD", "ANG", "AOA", "ARS", "AUD", "AWG", "AZN", "BAM", "BBD", "BDT", "BGN", "BHD", "BIF", "BMD", "BND", "BOB", "BRL", "BSD", "BTN", "BWP", "BYR", "BZD", "CAD", "CDF", "CHF", "CLP", "CNY", "COP", "CRC", "CUC", "CUP", "CVE", "CZK", "DJF", "DKK", "DOP", "DZD", "EGP", "ERN", "ETB", "EUR", "FJD", "FKP", "GBP", "GEL", "GGP", "GHS", "GIP", "GMD", "GNF", "GTQ", "GYD", "HKD", "HNL", "HRK", "HTG", "HUF", "IDR", "ILS", "IMP", "INR", "IQD", "IRR", "ISK", "JEP", "JMD", "JOD", "JPY", "KES", "KGS", "KHR", "KMF", "KPW", "KRW", "KWD", "KYD", "KZT", "LAK", "LBP", "LKR", "LRD", "LSL", "LYD", "MAD", "MDL", "MGA", "MKD", "MMK", "MNT", "MOP", "MRO", "MUR", "MVR", "MWK", "MXN", "MYR", "MZN", "NAD", "NGN", "NIO", "NOK", "NPR", "NZD", "OMR", "PAB", "PEN", "PGK", "PHP", "PKR", "PLN", "PYG", "QAR", "RON", "RSD", "RUB", "RWF", "SAR", "SBD", "SCR", "SDG", "SEK", "SGD", "SHP", "SLL", "SOS", "SPL", "SRD", "STD", "SVC", "SYP", "SZL", "THB", "TJS", "TMT", "TND", "TOP", "TRY", "TTD", "TVD", "TWD", "TZS", "UAH", "UGX", "USD", "UYU", "UZS", "VEF", "VND", "VUV", "WST", "XAF", "XCD", "XDR", "XOF", "XPF", "YER", "ZAR", "ZMW", "ZWD" - `items.paymentMethod` (string) The method the payment was collected with. Set for PAYMENT items. Enum: "CARD", "APPLE_PAY", "GOOGLE_PAY", "AMEX", "OPEN_BANKING", "DIRECT_DEBIT", "BANK_TRANSFER", "EXTERNAL_BANK_ACCOUNT", "IMPORTED" - `items.customer` (object) The customer that paid. Set for PAYMENT items. - `items.customer.id` (string, required) The ID of the customer - `items.customer.name` (string) The name of the customer - `items.paymentRequests` (array) The payment requests the payment was applied to. Set for PAYMENT items. - `items.paymentRequests.id` (string) The internal id of the payment request - `items.paymentRequests.paymentRequestNo` (string) The payment request number - `items.paymentRequests.description` (string) Short description of the payment request - `items.paymentRequests.totalAmount` (number) The payment request amount - `items.paymentRequests.principalAmount` (number) The principal amount of the payment request (excluding fees and discounts) - `items.paymentRequests.paidAmount` (number) The total amount that is paid - `items.paymentRequests.currencyCode` (string) The currency in which the payment request is raised Enum: "AED", "AFN", "ALL", "AMD", "ANG", "AOA", "ARS", "AUD", "AWG", "AZN", "BAM", "BBD", "BDT", "BGN", "BHD", "BIF", "BMD", "BND", "BOB", "BRL", "BSD", "BTN", "BWP", "BYR", "BZD", "CAD", "CDF", "CHF", "CLP", "CNY", "COP", "CRC", "CUC", "CUP", "CVE", "CZK", "DJF", "DKK", "DOP", "DZD", "EGP", "ERN", "ETB", "EUR", "FJD", "FKP", "GBP", "GEL", "GGP", "GHS", "GIP", "GMD", "GNF", "GTQ", "GYD", "HKD", "HNL", "HRK", "HTG", "HUF", "IDR", "ILS", "IMP", "INR", "IQD", "IRR", "ISK", "JEP", "JMD", "JOD", "JPY", "KES", "KGS", "KHR", "KMF", "KPW", "KRW", "KWD", "KYD", "KZT", "LAK", "LBP", "LKR", "LRD", "LSL", "LYD", "MAD", "MDL", "MGA", "MKD", "MMK", "MNT", "MOP", "MRO", "MUR", "MVR", "MWK", "MXN", "MYR", "MZN", "NAD", "NGN", "NIO", "NOK", "NPR", "NZD", "OMR", "PAB", "PEN", "PGK", "PHP", "PKR", "PLN", "PYG", "QAR", "RON", "RSD", "RUB", "RWF", "SAR", "SBD", "SCR", "SDG", "SEK", "SGD", "SHP", "SLL", "SOS", "SPL", "SRD", "STD", "SVC", "SYP", "SZL", "THB", "TJS", "TMT", "TND", "TOP", "TRY", "TTD", "TVD", "TWD", "TZS", "UAH", "UGX", "USD", "UYU", "UZS", "VEF", "VND", "VUV", "WST", "XAF", "XCD", "XDR", "XOF", "XPF", "YER", "ZAR", "ZMW", "ZWD" - `items.paymentRequests.fees` (array) The active (non-waived) fees on this payment request. - `items.paymentRequests.fees.id` (string) The fee id - `items.paymentRequests.fees.amount` (number) The total fee amount - `items.paymentRequests.fees.dueAmount` (number) The outstanding fee amount - `items.paymentRequests.fees.type` (string) The fee type Enum: "LATE_FEE" - `items.paymentRequests.fees.effectiveDate` (string) The date when the fee becomes effective - `items.paymentRequests.fees.items` (array) The fee item breakdown - `items.paymentRequests.fees.items.id` (string) The fee item id - `items.paymentRequests.fees.items.type` (string) The fee item type Enum: "DAILY_INTEREST", "FIXED_FEE", "WAIVER" - `items.paymentRequests.fees.items.description` (string) The fee item description - `items.paymentRequests.fees.items.amount` (number) The fee item amount - `items.paymentRequests.fees.items.dueAmount` (number) The outstanding amount for this fee item - `items.paymentRequests.payByDate` (string) The (optional) date until when user recommended the payer to pay - `items.paymentRequests.creationTime` (string) The date the payment request was created - `items.paymentRequests.lastNotificationSentTime` (string) The date the payment request was last sent to the customer - `items.paymentRequests.lastUpdatedTime` (string) The date the payment request was last updated - `items.paymentRequests.paidTime` (string) The date the payment request paid - `items.paymentRequests.paymentInitiationDate` (string) The date when payment is initiated for this payment request (only for Direct Debit) - `items.paymentRequests.chargeDate` (string) The date on which the customer will have their account debited - `items.paymentRequests.payoutDate` (string) The date on which the biller will get paid out for the payment - `items.paymentRequests.distributionTime` (string) The date when the payment request was distributed - `items.paymentRequests.status` (string) The payment request status Enum: "DRAFT", "UNPAID", "OVERDUE", "SCHEDULED", "SUBMITTED", "PAID", "VOID", "SETTLED" - `items.paymentRequests.statusReasonCode` (string) The reason as predefined code why the payment request is in a certain status Enum: "MISSING_PAYER_CONTACT_DETAILS", "PENDING_ACTIVATION", "PENDING_DD_MANDATE", "PENDING_DD_CAPABILITY", "MARKED_AS_PAID", "WORKFLOW_COMPLETED", "NOTIFICATION_DELIVERY_FAILED", "BULK_PRUNE", "STALE_DRAFT_CLEANUP", "OTHER", "DIRECT_DEBIT_MANDATE_BANK_ACCOUNT_CHANGED" - `items.paymentRequests.statusReason` (string) Custom details on why the payment request is in a certain status - `items.paymentRequests.reference` (string) The payment request reference - `items.paymentRequests.payments` (array) The payments made as part of this payment request - `items.paymentRequests.payments.id` (string, required) The ID of the payment allocation - `items.paymentRequests.payments.paymentId` (string, required) The ID of the payment - `items.paymentRequests.payments.paymentRequestId` (string, required) The ID of the payment request - `items.paymentRequests.payments.creationTime` (string, required) The date when the payment was initiated - `items.paymentRequests.payments.lastUpdatedTime` (string) The last time when the payment was updated - `items.paymentRequests.payments.advance` (object) Advance details. Required when prAllocations are not provided. - `items.paymentRequests.payments.advance.customerId` (string, required) The ID of the customer - `items.paymentRequests.payments.advance.amount` (number, required) The amount to be paid - `items.paymentRequests.payments.advance.currencyCode` (string, required) The currency code Enum: "AED", "AFN", "ALL", "AMD", "ANG", "AOA", "ARS", "AUD", "AWG", "AZN", "BAM", "BBD", "BDT", "BGN", "BHD", "BIF", "BMD", "BND", "BOB", "BRL", "BSD", "BTN", "BWP", "BYR", "BZD", "CAD", "CDF", "CHF", "CLP", "CNY", "COP", "CRC", "CUC", "CUP", "CVE", "CZK", "DJF", "DKK", "DOP", "DZD", "EGP", "ERN", "ETB", "EUR", "FJD", "FKP", "GBP", "GEL", "GGP", "GHS", "GIP", "GMD", "GNF", "GTQ", "GYD", "HKD", "HNL", "HRK", "HTG", "HUF", "IDR", "ILS", "IMP", "INR", "IQD", "IRR", "ISK", "JEP", "JMD", "JOD", "JPY", "KES", "KGS", "KHR", "KMF", "KPW", "KRW", "KWD", "KYD", "KZT", "LAK", "LBP", "LKR", "LRD", "LSL", "LYD", "MAD", "MDL", "MGA", "MKD", "MMK", "MNT", "MOP", "MRO", "MUR", "MVR", "MWK", "MXN", "MYR", "MZN", "NAD", "NGN", "NIO", "NOK", "NPR", "NZD", "OMR", "PAB", "PEN", "PGK", "PHP", "PKR", "PLN", "PYG", "QAR", "RON", "RSD", "RUB", "RWF", "SAR", "SBD", "SCR", "SDG", "SEK", "SGD", "SHP", "SLL", "SOS", "SPL", "SRD", "STD", "SVC", "SYP", "SZL", "THB", "TJS", "TMT", "TND", "TOP", "TRY", "TTD", "TVD", "TWD", "TZS", "UAH", "UGX", "USD", "UYU", "UZS", "VEF", "VND", "VUV", "WST", "XAF", "XCD", "XDR", "XOF", "XPF", "YER", "ZAR", "ZMW", "ZWD" - `items.paymentRequests.payments.prAllocations` (array) Per-payment-request allocations for this payment - `items.paymentRequests.payments.prAllocations.prId` (string) - `items.paymentRequests.payments.prAllocations.amount` (number) - `items.paymentRequests.payments.prAllocations.currencyCode` (string) The default currency of the biller. Enum: "AED", "AFN", "ALL", "AMD", "ANG", "AOA", "ARS", "AUD", "AWG", "AZN", "BAM", "BBD", "BDT", "BGN", "BHD", "BIF", "BMD", "BND", "BOB", "BRL", "BSD", "BTN", "BWP", "BYR", "BZD", "CAD", "CDF", "CHF", "CLP", "CNY", "COP", "CRC", "CUC", "CUP", "CVE", "CZK", "DJF", "DKK", "DOP", "DZD", "EGP", "ERN", "ETB", "EUR", "FJD", "FKP", "GBP", "GEL", "GGP", "GHS", "GIP", "GMD", "GNF", "GTQ", "GYD", "HKD", "HNL", "HRK", "HTG", "HUF", "IDR", "ILS", "IMP", "INR", "IQD", "IRR", "ISK", "JEP", "JMD", "JOD", "JPY", "KES", "KGS", "KHR", "KMF", "KPW", "KRW", "KWD", "KYD", "KZT", "LAK", "LBP", "LKR", "LRD", "LSL", "LYD", "MAD", "MDL", "MGA", "MKD", "MMK", "MNT", "MOP", "MRO", "MUR", "MVR", "MWK", "MXN", "MYR", "MZN", "NAD", "NGN", "NIO", "NOK", "NPR", "NZD", "OMR", "PAB", "PEN", "PGK", "PHP", "PKR", "PLN", "PYG", "QAR", "RON", "RSD", "RUB", "RWF", "SAR", "SBD", "SCR", "SDG", "SEK", "SGD", "SHP", "SLL", "SOS", "SPL", "SRD", "STD", "SVC", "SYP", "SZL", "THB", "TJS", "TMT", "TND", "TOP", "TRY", "TTD", "TVD", "TWD", "TZS", "UAH", "UGX", "USD", "UYU", "UZS", "VEF", "VND", "VUV", "WST", "XAF", "XCD", "XDR", "XOF", "XPF", "YER", "ZAR", "ZMW", "ZWD" - `items.paymentRequests.payments.prAllocations.splitDetails` (object) - `items.paymentRequests.payments.prAllocations.splitDetails.billerAmount` (number) - `items.paymentRequests.payments.prAllocations.splitDetails.surchargeAmount` (number) - `items.paymentRequests.payments.prAllocations.splitDetails.fixedLateFeeAmount` (number) - `items.paymentRequests.payments.amount` (number, required) The paid amount - `items.paymentRequests.payments.fees` (array) Details about the applied fees - `items.paymentRequests.payments.fees.amount` (number) The amount of the fee - `items.paymentRequests.payments.fees.applicationMethod` (string) The fee application method Enum: "SURCHARGE", "LATE_FEE" - `items.paymentRequests.payments.status` (string, required) The current payment status Enum: "PENDING", "SUBMITTED", "SENT", "SUCCESS", "CANCELLED", "FAILED", "SETTLED" - `items.paymentRequests.payments.receiptNo` (string) The current payment receipt number - `items.paymentRequests.payments.paymentMethod` (string, required) The method used for making the payment Enum: "BANK_PAYMENT", "CARD", "APPLE_PAY", "GOOGLE_PAY", "DIRECT_DEBIT", "IMPORTED", "MANUAL_BANK_TRANSFER", "BANK_TRANSFER", "AMEX" - `items.paymentRequests.payments.channelPaymentId` (string, required) Unique identifier for the payment in the payment provider's system - `items.paymentRequests.payments.channelPaymentUrl` (string) The URL generated by the payment provider to perform the payment - `items.paymentRequests.payments.channelReferenceId` (string) The remittance reference ID for bank payments - `items.paymentRequests.payments.externalData` (array) References about this payment from external platforms Adfin integrates with - `items.paymentRequests.payments.externalData.connectorType` (string) The name of the platform for which this data is stored for. Enum: "XERO", "QUICKBOOKS", "PLATFORM" - `items.paymentRequests.payments.externalData.id` (string) ID of the payment in the external platform - `items.paymentRequests.payments.paymentSource` (string) How the payment was initiated. Enum: "PAYMENT_LINK", "GENERIC_PAYMENT_LINK", "PAYMENT_OVER_PHONE" - `items.paymentRequests.payments.cardOnFileId` (string) The ID of the card on file the payment was taken from - `items.paymentRequests.payments.metadata` (any) - `items.paymentRequests.payments.feeDetails` (object) Details about the applied fee - `items.paymentRequests.discounts` (array) The discounts applied to this payment request - `items.paymentRequests.discounts.totalAmount` (number) The discounted amount - `items.paymentRequests.discounts.expirationDate` (string) The date until when the discount is valid - `items.paymentRequests.paymentLink` (object) The payment link associated with this request. - `items.paymentRequests.paymentLink.url` (string) The payment URL. - `items.paymentRequests.paymentLink.lastSeenTime` (string) The date when the payment link was seen for the last time - `items.paymentRequests.distribution` (object) The payment request distribution information - `items.paymentRequests.distribution.collectionMethod` (string) How the payment is expected to be collected for this payment request. Enum: "ONE_TIME_PAYMENT", "DIRECT_DEBIT_PAYMENT", "NONE" - `items.paymentRequests.distribution.customMessage` (string) An optional message that will be sent to the customer when the payment request is distributed. - `items.paymentRequests.distribution.templateId` (string) The schedule template id used for sending the payment request to customer. - `items.paymentRequests.distribution.cancelCollectionOnFailure` (boolean) Whether collection should be cancelled if the payment fails - `items.paymentRequests.workflowType` (string) The workflow type of the payment request Enum: "AUTO_COLLECT", "ON_DEMAND", "NONE" - `items.paymentRequests.customFields` (array) The list of custom fields that are applied to the payment request - `items.paymentRequests.customFields.fieldId` (string) The ID of the field definition. - `items.paymentRequests.customFields.fieldValueId` (string) The ID of the specific field value. - `items.receiptNo` (string) The receipt number - `items.creationTime` (string, required) The time the item was created - `pagination` (object, required) Pagination details - `pagination.page` (integer) The current page number One-based page index (1..N). - `pagination.size` (integer) The size of the page, i.e., the number of elements per page. - `pagination.totalPages` (integer) The total number of pages available. - `pagination.totalElements` (integer) The total number of elements across all pages. - `pagination.numberOfElements` (integer) The number of elements in the current page. - `pagination.sort` (string) Sorting criteria in the format: property,(asc|desc). ## Response 400 fields ## Response 401 fields ## Response 404 fields ## Response 500 fields